%global  checkout   bf4b4c7b87e77abd709fe2d93ade8a4f5981f989
%global  date       20170315

Name:    spglib
Summary: C library for finding and handling crystal symmetries
Version: 1.9.9
Release: 3.%{date}git%(echo %{checkout} | cut -c-6)%{?dist}
License: BSD
URL:     https://atztogo.github.io/%{name}/
Source0: https://github.com/atztogo/%{name}/archive/%{checkout}.zip#/%{name}-%{checkout}.zip

BuildRequires: autoconf, automake, libtool

%description
C library for finding and handling crystal symmetries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing
applications that use spglib.

%package -n python3-%{name}
Summary: Python3 library of %{name}
BuildRequires: python3-devel
BuildRequires: python3-numpy
BuildRequires: python3-nose
Requires: python3-numpy
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package contains the libraries to 
develop applications with %{name} Python3 bindings.

%prep
%setup -q -n %{name}-%{checkout}

# Fix obsolete m4 macro
sed -i 's/AM_PROG_LIBTOOL/AC_PROG_LIBTOOL/' configure.ac

# Required by autoreconf
touch INSTALL NEWS README AUTHORS

%build
autoreconf -ivf
%configure --disable-static --disable-silent-rules
 
%make_build

pushd python
%py3_build
popd

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

pushd python
%py3_install
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%check
pushd python/test
# See https://github.com/atztogo/spglib/issues/34
PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch} nosetests-%{python3_version} -v --exclude=test_delaunay
popd

%files
%doc README.md
%license COPYING
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_includedir}/%{name}/

%files -n python3-%{name}
%license COPYING
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}-*.egg-info/

%changelog
* Thu Mar 16 2017 Antonio Trande <sagitter@fedoraproject.org> - 1.9.9-3.20170615gitbf4b4c7
- Update to git commit #bf4b4c7

* Mon Mar 13 2017 Antonio Trande <sagitter@fedoraproject.org> - 1.9.9-2
- Fix obsolete m4 macro

* Fri Mar 10 2017 Antonio Trande <sagitter@fedoraproject.org> - 1.9.9-1
- First package
